Package org.eclipse.graphiti.mm.algorithms.styles.util

# Class StylesAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.graphiti.mm.algorithms.styles.util.StylesAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

public class StylesAdapterFactory extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  - `StylesPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static StylesPackage`
`modelPackage`
The cached model package.
`protected StylesSwitch<org.eclipse.emf.common.notify.Adapter>`
`modelSwitch`
The switch that delegates to the `createXXX` methods.

## Constructor Summary

Constructors
Constructor
Description
`StylesAdapterFactory()`
Creates an instance of the adapter factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.Adapter`
`createAbstractStyleAdapter()`
Creates a new adapter for an object of class '`Abstract Style`'.
`org.eclipse.emf.common.notify.Adapter`
`createAdaptedGradientColoredAreasAdapter()`
Creates a new adapter for an object of class '`Adapted Gradient Colored Areas`'.
`org.eclipse.emf.common.notify.Adapter`
`createAdapter(org.eclipse.emf.common.notify.Notifier target)`
Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter`
`createColorAdapter()`
Creates a new adapter for an object of class '`Color`'.
`org.eclipse.emf.common.notify.Adapter`
`createEObjectAdapter()`
Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter`
`createFontAdapter()`
Creates a new adapter for an object of class '`Font`'.
`org.eclipse.emf.common.notify.Adapter`
`createGradientColoredAreaAdapter()`
Creates a new adapter for an object of class '`Gradient Colored Area`'.
`org.eclipse.emf.common.notify.Adapter`
`createGradientColoredAreasAdapter()`
Creates a new adapter for an object of class '`Gradient Colored Areas`'.
`org.eclipse.emf.common.notify.Adapter`
`createGradientColoredLocationAdapter()`
Creates a new adapter for an object of class '`Gradient Colored Location`'.
`org.eclipse.emf.common.notify.Adapter`
`createPointAdapter()`
Creates a new adapter for an object of class '`Point`'.
`org.eclipse.emf.common.notify.Adapter`
`createPrecisionPointAdapter()`
Creates a new adapter for an object of class '`Precision Point`'.
`org.eclipse.emf.common.notify.Adapter`
`createRenderingStyleAdapter()`
Creates a new adapter for an object of class '`Rendering Style`'.
`org.eclipse.emf.common.notify.Adapter`
`createStyleAdapter()`
Creates a new adapter for an object of class '`Style`'.
`org.eclipse.emf.common.notify.Adapter`
`createStyleContainerAdapter()`
Creates a new adapter for an object of class '`Style Container`'.
`org.eclipse.emf.common.notify.Adapter`
`createTextStyleAdapter()`
Creates a new adapter for an object of class '`Text Style`'.
`org.eclipse.emf.common.notify.Adapter`
`createTextStyleRegionAdapter()`
Creates a new adapter for an object of class '`Text Style Region`'.
`boolean`
`isFactoryForType(Object object)`
Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static StylesPackage modelPackage
The cached model package.

### modelSwitch

protected StylesSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch
The switch that delegates to the `createXXX` methods.

## Constructor Details

### StylesAdapterFactory

public StylesAdapterFactory()
Creates an instance of the adapter factory.

## Method Details

### isFactoryForType

public boolean isFactoryForType(Object object)
Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

### createAdapter

public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)
Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

### createRenderingStyleAdapter

public org.eclipse.emf.common.notify.Adapter createRenderingStyleAdapter()
Creates a new adapter for an object of class '`Rendering Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `RenderingStyle`

### createStyleAdapter

public org.eclipse.emf.common.notify.Adapter createStyleAdapter()
Creates a new adapter for an object of class '`Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Style`

### createAbstractStyleAdapter

public org.eclipse.emf.common.notify.Adapter createAbstractStyleAdapter()
Creates a new adapter for an object of class '`Abstract Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `AbstractStyle`

### createGradientColoredLocationAdapter

public org.eclipse.emf.common.notify.Adapter createGradientColoredLocationAdapter()
Creates a new adapter for an object of class '`Gradient Colored Location`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `GradientColoredLocation`

### createGradientColoredAreaAdapter

public org.eclipse.emf.common.notify.Adapter createGradientColoredAreaAdapter()
Creates a new adapter for an object of class '`Gradient Colored Area`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `GradientColoredArea`

### createGradientColoredAreasAdapter

public org.eclipse.emf.common.notify.Adapter createGradientColoredAreasAdapter()
Creates a new adapter for an object of class '`Gradient Colored Areas`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `GradientColoredAreas`

### createAdaptedGradientColoredAreasAdapter

public org.eclipse.emf.common.notify.Adapter createAdaptedGradientColoredAreasAdapter()
Creates a new adapter for an object of class '`Adapted Gradient Colored Areas`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `AdaptedGradientColoredAreas`

### createFontAdapter

public org.eclipse.emf.common.notify.Adapter createFontAdapter()
Creates a new adapter for an object of class '`Font`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Font`

### createPointAdapter

public org.eclipse.emf.common.notify.Adapter createPointAdapter()
Creates a new adapter for an object of class '`Point`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Point`

### createColorAdapter

public org.eclipse.emf.common.notify.Adapter createColorAdapter()
Creates a new adapter for an object of class '`Color`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `Color`

### createPrecisionPointAdapter

public org.eclipse.emf.common.notify.Adapter createPrecisionPointAdapter()
Creates a new adapter for an object of class '`Precision Point`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  0.9
See Also:
  - `PrecisionPoint`

### createTextStyleAdapter

public org.eclipse.emf.common.notify.Adapter createTextStyleAdapter()
Creates a new adapter for an object of class '`Text Style`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  0.10
See Also:
  - `TextStyle`

### createTextStyleRegionAdapter

public org.eclipse.emf.common.notify.Adapter createTextStyleRegionAdapter()
Creates a new adapter for an object of class '`Text Style Region`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
Since:
  0.10
See Also:
  - `TextStyleRegion`

### createStyleContainerAdapter

public org.eclipse.emf.common.notify.Adapter createStyleContainerAdapter()
Creates a new adapter for an object of class '`Style Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  - `StyleContainer`

### createEObjectAdapter

public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()
Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.